/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 资源包
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-24 16:58:38  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "资源包")
public class DataResourcePackage extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_name = "name";
  public static final String KEY_memo = "memo";
  public static final String KEY_packageAddr = "packageAddr";
  public static final String KEY_proId = "proId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * id<br>
   */
  @ApiModelProperty("id")
  @Size(max = 32, message="id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 资源包名称<br>
   */
  @ApiModelProperty("资源包名称")
  @Size(max = 32, message="资源包名称-name: 数据长度不能 > 32" )
  private String name;
  /**
   * 资源包描述<br>
   */
  @ApiModelProperty("资源包描述")
  @Size(max = 128, message="资源包描述-memo: 数据长度不能 > 128" )
  private String memo;
  /**
   * 资源包存放地址<br>
   */
  @ApiModelProperty("资源包存放地址")
  @Size(max = 128, message="资源包存放地址-packageAddr: 数据长度不能 > 128" )
  private String packageAddr;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-proId: 数据长度不能 > 32" )
  private String proId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * id<br>
   *
   * @param id id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 资源包名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 资源包名称<br>
   *
   * @param name 资源包名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 资源包描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 资源包描述<br>
   *
   * @param memo 资源包描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 资源包存放地址<br>
   */
  public String getPackageAddr()
  {
      return packageAddr;
    }

  /**
   * 资源包存放地址<br>
   *
   * @param packageAddr 资源包存放地址
   */
  public void setPackageAddr(String packageAddr)
  {
      this.packageAddr = packageAddr;
    }
  /**
   * 系统id<br>
   */
  public String getProId()
  {
      return proId;
    }

  /**
   * 系统id<br>
   *
   * @param proId 系统id
   */
  public void setProId(String proId)
  {
      this.proId = proId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public DataResourcePackage()
  {
  }

}
